TechDraw AngleDimension

From FreeCAD Documentation
Revision as of 12:16, 16 October 2016 by Wandererfan (talk | contribs) (Created page with "<translate> <!--T:1--> {{GuiCommand|Name=TechDraw Dimension_Angle|Workbenches=TechDraw|MenuLocation=TechDraw → Dimension_Angle|Shortcut=|SeeAlso=}} ==D...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

TechDraw Dimension_Angle

Menu location
TechDraw → Dimension_Angle
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Description

The Dimension_Angle tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension 16 tool.

How to use

  1. Select the points or edge which define your measurement.
  2. Press the 16 TechDraw Dimension_Angle button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Options

None.

Properties

  • DataX: Angle position of the dimension text relative to the View.
  • DataY: Angle position of the dimension text relative to the View.
  • DataFont: The name of the font to use for the dimension text.
  • DataFontsize: Dimension text size in mm.
  • DataFormatSpec: Allows additional text to be added to the dimension text. Dimension value will replace %value%.
  • DataLineWidth: Dimension line weight.
  • DataType: Length,radius,diameter, etc. Not normally manipulated by the end user.
  • DataMeasureType: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.

Scripting

DraftViews can be added to Pages using Python.

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)

Notes

  • None at this time